Debian Bug report logs - #517915
RFP: oneswarm -- friend-to-friend client

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Per Andersson <avtobiff@gmail.com>

Date: Mon, 2 Mar 2009 21:09:08 UTC

Severity: wishlist

Merged with 525059

Fix blocked by 640873: RFP: libsmack-java -- Easy to use Java XMPP client library

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#517915; Package wnpp. (Mon, 02 Mar 2009 21:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. (Mon, 02 Mar 2009 21:09:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: oneswarm -- friend-to-friend client: p2p data sharing with explicit privacy control
Date: Mon, 02 Mar 2009 21:07:48 +0000
Package: wnpp
Severity: wishlist
Owner: Per Andersson <avtobiff@gmail.com>


* Package name    : oneswarm
  Version         : 0.5
  Upstream Author : Tomas Isdal et al.
* URL             : http://oneswarm.cs.washington.edu/
* License         : GPLv2, LGPL, Apache, nc-sa3, CPLv1
  Programming Lang: Java
  Description     : friend-to-friend client: p2p data sharing with explicit privacy control

OneSwarm is a fully backwards-compatible BitTorrent client with an explicit
privacy control enhancement. OneSwarm uses source address rewriting to
protect user privacy. Instead of always transmitting data directly from
sender to receiver (immediately identifying both), OneSwarm may forward
data through multiple intermedaries, obscuring the identity of both sender
and receiver.

OneSwarm’s interface is web-based and supports real-time transcoding of
many audio and video formats for in-browser playback, eliminating the need for
casual users to master a new application’s interface or search for custom media
codecs.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)




Merged 517915 525059. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sat, 02 May 2009 03:39:00 GMT) Full text and rfc822 format available.

Reply sent to Per Andersson <avtobiff@gmail.com>:
You have taken responsibility. (Thu, 08 Apr 2010 20:18:10 GMT) Full text and rfc822 format available.

Notification sent to Per Andersson <avtobiff@gmail.com>:
Bug acknowledged by developer. (Thu, 08 Apr 2010 20:18:11 GMT) Full text and rfc822 format available.

Message #12 received at 517915-done@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: 517915-done@bugs.debian.org
Subject: ITP: oneswarm -- friend-to-friend client: p2p data sharing with explicit
Date: Thu, 8 Apr 2010 22:11:41 +0200
I don't have any time left over to package this.

Interest also seem quite low.


-- Per




Reply sent to Per Andersson <avtobiff@gmail.com>:
You have taken responsibility. (Thu, 08 Apr 2010 20:18:11 GMT) Full text and rfc822 format available.

Notification sent to Anders Lagerås <anders.lageras@gmail.com>:
Bug acknowledged by developer. (Thu, 08 Apr 2010 20:18:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#517915; Package wnpp. (Mon, 12 Apr 2010 08:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Roy <mroy@coleumes.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Mon, 12 Apr 2010 08:45:02 GMT) Full text and rfc822 format available.

Message #22 received at 517915@bugs.debian.org (full text, mbox):

From: Mathieu Roy <mroy@coleumes.org>
To: 517915@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#517915: marked as done (ITP: oneswarm -- friend-to-friend client: p2p data sharing with explicit privacy control)
Date: Mon, 12 Apr 2010 10:04:52 +0200
reopen 517915
retitle 517915 RFP: oneswarm -- friend-to-friend client
thanks


>I don't have any time left over to package this.

That's sad.

>Interest also seem quite low.

How so?

-- 
Mathieu Roy





Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Apr 2010 08:45:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: oneswarm -- friend-to-friend client' from 'ITP: oneswarm -- friend-to-friend client: p2p data sharing with explicit privacy control' Request was from Mathieu Roy <mroy@coleumes.org> to control@bugs.debian.org. (Mon, 12 Apr 2010 08:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#517915; Package wnpp. (Mon, 19 Apr 2010 23:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 19 Apr 2010 23:33:03 GMT) Full text and rfc822 format available.

Message #31 received at 517915@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: Mathieu Roy <mroy@coleumes.org>, 517915@bugs.debian.org
Subject: Re: Bug#517915: marked as done (ITP: oneswarm -- friend-to-friend client: p2p data sharing with explicit privacy control)
Date: Tue, 20 Apr 2010 01:31:39 +0200
On Mon, Apr 12, 2010 at 10:04 AM, Mathieu Roy <mroy@coleumes.org> wrote:
>>Interest also seem quite low.
>
> How so?

Mainly, not much traffic related to the bug.


-- Per




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#517915; Package wnpp. (Sun, 25 Apr 2010 13:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ximin Luo <xl269@cam.ac.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Sun, 25 Apr 2010 13:27:04 GMT) Full text and rfc822 format available.

Message #36 received at 517915@bugs.debian.org (full text, mbox):

From: Ximin Luo <xl269@cam.ac.uk>
To: Debian Bug Tracking System <517915@bugs.debian.org>
Subject: Re: oneswarm -- friend-to-friend client: p2p data sharing with explicit privacy control
Date: Sun, 25 Apr 2010 14:08:08 +0100
Package: wnpp
Severity: wishlist

I'd like to voice some support for this; also I wouldn't imagine RFP bugs
would normally attract any traffic, regardless of support. If people see
there's an RFP bug already in place they wouldn't usually bother sending
another email about it.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#517915; Package wnpp. (Tue, 31 May 2011 13:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bertrand Marc <beberking@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Tue, 31 May 2011 13:21:03 GMT) Full text and rfc822 format available.

Message #41 received at 517915@bugs.debian.org (full text, mbox):

From: Bertrand Marc <beberking@gmail.com>
To: 517915@bugs.debian.org
Subject: Re: oneswarm -- friend-to-friend client: p2p data sharing with explicit privacy control
Date: Tue, 31 May 2011 15:17:17 +0200
[Message part 1 (text/plain, inline)]
Hi,

I am interested in seeing OneSwarm in Debian too. I didn't think it was
useful to add noise to the RFP, but let's do it : Interest for OneSwarm is
not low !

Regards,
Bertrand
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#517915; Package wnpp. (Tue, 11 Oct 2011 12:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bertrand Marc <beberking@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Tue, 11 Oct 2011 12:57:15 GMT) Full text and rfc822 format available.

Message #46 received at 517915@bugs.debian.org (full text, mbox):

From: Bertrand Marc <beberking@gmail.com>
To: 517915@bugs.debian.org
Subject: RFP: oneswarm -- friend-to-friend client
Date: Tue, 11 Oct 2011 14:52:27 +0200
[Message part 1 (text/plain, inline)]
Hi,

I don't know if anybody is still interested in seeing OneSwarm in Debian
some day, but I finally tried to package it myself. I know a few things
about Debian packaging but I don't know much about java and ant...

I had an initial functionning package, shipping a lot of redundant jars.
Then I tried to remove the first dep (libswt) and I failed... For some
reason I can't get OneSwarm to look for swt*.so in the right directory, even
with -Djava.library.path (the program starts but clicking on the icon fails
to bring up OneSwarm with a message about not finding libswt*.so and looking
for it in ~/.swt/** ). Looking at Azureus packaging did not help me.

I'd really like to see OneSwarm in Debian, but I need help to go further.
You'll find attached the debian directory I made (with a working
get-orig-source in debian/rules to complete the package).

Regards,
Bertrand
[Message part 2 (text/html, inline)]
[debian.tar.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#517915; Package wnpp. (Mon, 24 Oct 2011 12:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bertrand Marc <beberking@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Mon, 24 Oct 2011 12:03:51 GMT) Full text and rfc822 format available.

Message #51 received at 517915@bugs.debian.org (full text, mbox):

From: Bertrand Marc <beberking@gmail.com>
To: 517915@bugs.debian.org
Subject: Re: RFP: oneswarm -- friend-to-friend client
Date: Mon, 24 Oct 2011 14:01:33 +0200
Hi,

I keep working on OneSwarm so I take over the bug, and I hope to get
it in Debian some day. Right now I need to get a few build-deps into
the archive. I'll start by Apache derby, but there are a lot of deps
to work on. Help will always be welcome.

Thanks,
Bertrand




Changed Bug title to ''ITP: oneswarm -- friend-to-friend client'' from 'RFP: oneswarm -- friend-to-friend client' Request was from Bertrand Marc <beberking@gmail.com> to control@bugs.debian.org. (Mon, 24 Oct 2011 12:07:50 GMT) Full text and rfc822 format available.

Owner changed from Per Andersson <avtobiff@gmail.com> to Bertrand Marc <beberking@gmail.com>. Request was from Bertrand Marc <beberking@gmail.com> to control@bugs.debian.org. (Mon, 24 Oct 2011 12:07:51 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#517915; Package wnpp. (Sat, 05 Nov 2011 17:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bertrand Marc <beberking@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 05 Nov 2011 17:45:10 GMT) Full text and rfc822 format available.

Message #60 received at 517915@bugs.debian.org (full text, mbox):

From: Bertrand Marc <beberking@gmail.com>
To: oneswarm@cs.washington.edu
Cc: 517915@bugs.debian.org
Subject: OneSwarm Debian package
Date: Sat, 05 Nov 2011 18:41:12 +0100
Dear OneSwarm developers,

I am a happy OneSwarm user, thank you for your work. I'd like to make a 
OneSwarm package for Debian (it would also work for Ubuntu). But to make 
it into Debian, I need a bit of help on two issues :

First, could you tell me from where does come the file 
build/f2f-libs/publickey-client.jar ? Where can I find it, its sources 
and its license ? A Debian package can't rely on file without sources, 
so this is mandatory to enter Debian.

Since Debian is very careful with copyright issues, I also have to ask 
the license and copyright (the authors) of every file in the git 
repository. Some of them have explicit headers, but some (for instance 
in javatests/*, oneswarm_f2f/src/edu/*, oneswarm_gwt_ui/*, 
oneswarm_az_mods/*, ant-custom/*) have no license and no copyright line 
(with year and authors). It would be great if you could add the 
appropriate headers. if this is too much work, could you at least 
confirm me (please cc 517915@bugs.debian.org) that every file with no 
headers are yours and released under the GPL ?

Best regards,
Bertrand Marc






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#517915; Package wnpp. (Thu, 10 Nov 2011 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bertrand Marc <beberking@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 10 Nov 2011 20:21:03 GMT) Full text and rfc822 format available.

Message #65 received at 517915@bugs.debian.org (full text, mbox):

From: Bertrand Marc <beberking@gmail.com>
To: 517915@bugs.debian.org
Subject: Still working
Date: Thu, 10 Nov 2011 21:18:58 +0100
[Message part 1 (text/plain, inline)]
I think I am one step closer. I have a working package (you will find 
the debian directory attached). I got rid of everything already packaged 
in Debian and completed the debian/copyright file. Now I need to wait 
for a few issues to be fixed:

First I need to know where does publickey-client.jar (see my previous post).

I am also waiting on a couple of packages to enter Debian:
- libsmack ITP #640873 [1]
- apache derby ITP #617425 [2]
- GWT2 ITP #624205 [3]

After these, I think this package will be ready for a first review.

[1] http://bugs.debian.org/640873
[2] http://bugs.debian.org/617425
[3] http://bugs.debian.org/624205
[oneswarm.tar.bz2 (application/x-bzip, attachment)]

Changed Bug title to 'ITP: oneswarm -- friend-to-friend client' from ''ITP: oneswarm -- friend-to-friend client'' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Tue, 10 Jan 2012 01:12:43 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 517915: 640873 Request was from Bertrand Marc <beberking@gmail.com> to control@bugs.debian.org. (Fri, 13 Apr 2012 08:09:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 517915: 617425 Request was from Bertrand Marc <beberking@gmail.com> to control@bugs.debian.org. (Fri, 13 Apr 2012 08:09:09 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 517915: 624205 Request was from Bertrand Marc <beberking@gmail.com> to control@bugs.debian.org. (Fri, 13 Apr 2012 08:09:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Bertrand Marc <beberking@gmail.com>:
Bug#517915; Package wnpp. (Fri, 13 Apr 2012 18:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will Scott <wrs@cs.washington.edu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Bertrand Marc <beberking@gmail.com>. (Fri, 13 Apr 2012 18:21:02 GMT) Full text and rfc822 format available.

Message #78 received at 517915@bugs.debian.org (full text, mbox):

From: Will Scott <wrs@cs.washington.edu>
To: Bertrand Marc <beberking@gmail.com>
Cc: 517915@bugs.debian.org, oneswarm@cs.washington.edu
Subject: Re: [Oneswarm] OneSwarm project
Date: Fri, 13 Apr 2012 11:19:43 -0700
[Message part 1 (text/plain, inline)]
Hi Bertrand,

I can confirm that the source in the oneswarm repository within
edu.washington.cs packages are written by UW developers and GPL licensed.
 The dependencies included in the distribution are also GPL compatible to
the best of our knowledge.

--Will

On Fri, Apr 13, 2012 at 1:08 AM, Bertrand Marc <beberking@gmail.com> wrote:

> Dear OneSwarm developers,
>
> I am a happy OneSwarm user, thank you for your work. I'd like to make a
> OneSwarm package for Debian (it would also work for Ubuntu). But to make
> it into Debian, I need a bit of help on two issues :
>
> First, could you tell me from where does come the file
> build/f2f-libs/publickey-client.jar ? Where can I find it, its sources
> and its license ? A Debian package can't rely on file without sources,
> so this is mandatory to enter Debian.
>
> Since Debian is very careful with copyright issues, I also have to ask
> the license and copyright (the authors) of every file in the git
> repository. Some of them have explicit headers, but some (for instance
> in javatests/*, oneswarm_f2f/src/edu/*, oneswarm_gwt_ui/*,
> oneswarm_az_mods/*, ant-custom/*) have no license and no copyright line
> (with year and authors). It would be great if you could add the
> appropriate headers. if this is too much work, could you at least
> confirm me (please cc 517915@bugs.debian.org) that every file with no
> headers are yours and released under the GPL ?
>
> Best regards,
> Bertrand Marc
>
> ---
> Web form submission
> User agent: Mozilla/5.0 (Windows NT 5.1; rv:11.0) Gecko/20100101
> Firefox/11.0
> User agent host:  /
> Refering document: http://www.oneswarm.org/about.html
> _______________________________________________
> Oneswarm mailing list
> Oneswarm@cs.washington.edu
> https://mailman.cs.washington.edu/mailman/listinfo/oneswarm
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Bertrand Marc <beberking@gmail.com>:
Bug#517915; Package wnpp. (Fri, 16 Aug 2013 17:03:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Bertrand Marc <beberking@gmail.com>. (Fri, 16 Aug 2013 17:03:44 GMT) Full text and rfc822 format available.

Message #83 received at 517915@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 517915@bugs.debian.org
Cc: control@bugs.debian.org
Subject: oneswarm: changing back from ITP to RFP
Date: Fri, 16 Aug 2013 18:58:53 +0200
retitle 517915 RFP: oneswarm -- friend-to-friend client
noowner 517915
tag 517915 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging oneswarm. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of oneswarm back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 14 months.

If you are still interested in packaging oneswarm, please send a mail to
<control@bugs.debian.org> with:

 retitle 517915 ITP: oneswarm -- friend-to-friend client
 owner 517915 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <517915@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: oneswarm -- friend-to-friend client' from 'ITP: oneswarm -- friend-to-friend client' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Fri, 16 Aug 2013 17:11:47 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Bertrand Marc <beberking@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Fri, 16 Aug 2013 17:11:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:29:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.